#!/usr/bin/perl

$cover = "cover.png";

while (@ARGV) {
    my $arg = shift(@ARGV);
    if ($arg eq "-map") { $mfile = shift(@ARGV); }
    elsif ($arg eq "-cover") { $cfile = shift(@ARGV); }
    elsif ($arg eq "-trace") { $tfile = shift(@ARGV); }
    else { &usage; }
}

&usage if ($mfile eq "" || $tfile eq "");

open(F,"tail -n 1 -f $tfile |");
while(<F>) {
    /(\d+),(\d+)/;
    system("convert -crop 512x512+".($1-256)."+".($2-256)." $mfile - |".
        "composite $cover - - | xv -");
}

sub usage {
    print "Usage: showview.pl [-help] -trace trace";
    print " -map map [-cover cover]\n";
    print "  -help = this text\n";
    print "   -map = specifies map\n";
    print " -trace = file to monitor for position\n";
    print " -cover = specifies feathering file (default: cover.png)\n";
    exit;
}
